Available buyer market: Korea, Taiwan
Querying product related info such as shipping and return location.
You may quickly update info on [Product query API (approval not required)] by using this API response message.
Path
GET
/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}/partial
Example Endpoint
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/30100201234/partial
Request Parameters
Path Segment Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| sellerProductId | O | String |
Registered product ID Displayed product ID once product is created |
||||
Request Example
not require body
Response Message
| Name | Type | Description | ||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | String |
Result code
SUCCES/ERROR
|
||||||||||||||||
| message | String | Message |
||||||||||||||||
| data | ||||||||||||||||||
| sellerProductId | Number |
Registered product ID
Displayed product ID once product is created (data).
|
||||||||||||||||
| companyContactNumber | String |
Return location contact number
Check on Coupang Wing or by registering return location through Return location query API.
|
||||||||||||||||
| deliveryCharge | Number | Standard delivery fee
Input one-way delivery fee amount for paid delivery and conditional free delivery.
|
||||||||||||||||
| deliveryChargeOnReturn | Number | Initial shipping fee on return
Shipping fee paid by customer for free delivery return.
|
||||||||||||||||
| deliveryChargeType | String | Delivery fee type
● For free delivery: set up amount for initial shipping fee on return (one-way)[deliveryChargeOnReturn] and return shipping fee (one-way)[returnCharge]
● For paid delivery: set up amount for standard shipping fee[deliveryCharge] and return shipping fee (one-way) ● For conditional free delivery: set up amount for standard shipping fee and return shipping fee (one-way) ● For fee on arrival: Categories applicable for fee on arrival are predefined and shared with seller support center to guide vendors. ※ For [CONDITIONAL_FREE], you may freely set a conditional amount.
|
||||||||||||||||
| deliveryCompanyCode | String | Courier code
|
||||||||||||||||
| deliveryMethod | String |
Delivery method
“INSTRUCTURE” and “MAKE_ORDER_DIRECT” has been combined to “VENDOR_DIRECT”.
|
||||||||||||||||
| extraInfoMessage | String | Message with information on made to orders.
Message to be displayed when customers select delivery type "made to order".
|
||||||||||||||||
| freeShipOverAmount | Number | Conditional amount for free delivery
● Ex) if you want to set condition of at least 10,000 won for free delivery, set [deliveryChargeType] to 'CONDITIONAL_FREE' and input 10000 for [freeShipOverAmount].
※ can only input in 100 won units or more
※ input 0 for free delivery |
||||||||||||||||
| outboundShippingPlaceCode | Number | Shipping location address code
Mandatory when selecting bundled delivery. Check by using shipping location query API.
|
||||||||||||||||
| pccNeeded | Boolean |
PCC(personal customs clearance code) required or not
Whether PCC is required for overseas purchasing agency.
- default value: not required (false)
|
||||||||||||||||
| remoteAreaDeliverable | String |
Remote area delivery possible or not
|
||||||||||||||||
| returnAddress | String | Return location address
Check on Coupang Wing or by registering return location through return location query API
|
||||||||||||||||
| returnAddressDetail | String | Return location detail address
Check on Coupang Wing or by registering Return location through return location query API
|
||||||||||||||||
| returnCenterCode | String | Return location center code
Extract and input return location center code after creating return location.
● return location can be created through WING or return location creation API. ● if you are unable to create return location, input "NO_RETURN_CENTERCODE" to manually add return location info. ※ Auto return integration service (Goodsflow) is available only if you have a contracted courier. Return location center code is mandatory.
|
||||||||||||||||
| returnCharge | Number | Return shipping fee
One-way delivery fee for picking up return.
|
||||||||||||||||
| returnChargeName | String | Return location name
Check on Coupang Wing or by registering return location through Return location query API.
|
||||||||||||||||
| returnZipCode | String | Return location postal code
Check on Coupang Wing or by registering return location through return location query API
|
||||||||||||||||
| unionDeliveryType | String |
Bundled delivery possible or not
※ Condition for bundled delivery: |
||||||||||||||||
Response Example
{
"code": "SUCCESS",
"message": "",
"data": {
"sellerProductId": 30100201234,
"deliveryMethod": "SEQUENCIAL",
"deliveryCompanyCode": "HYUNDAI",
"deliveryChargeType": "NOT_FREE",
"deliveryCharge": 2500,
"freeShipOverAmount": 0,
"deliveryChargeOnReturn": 0,
"remoteAreaDeliverable": "N",
"unionDeliveryType": "NOT_UNION_DELIVERY",
"returnCenterCode": "56642",
"returnChargeName": "타워730",
"companyContactNumber": "02-123-7678",
"returnZipCode": "13590",
"returnAddress": "서울특별시 송파구 송파대로 570 (신천동)",
"returnAddressDetail": "타워",
"returnCharge": 2500,
"outboundShippingPlaceCode": 63714,
"extraInfoMessage": "",
"pccNeeded": false
}
}Error Spec
| HTTP status code (error type) | Error message | Solution |
|---|---|---|
| 400 | Data of product (XXXXXXXXX) doesn't exist. | Check if the sellerProductId is of an existing product. |
URL API Name
GET_PARTIAL_PRODUCT_BY_PRODUCT_ID